with Ada.Strings.Unbounded;
package paqtabla is

   package ASU renames Ada.Strings.Unbounded;
   Tamano_Tabla: constant:= 30;
   type Registro is
      record
         Nombre: ASU.Unbounded_String:= ASU.Null_Unbounded_String;
         Docu: ASU.Unbounded_String:= ASU.Null_Unbounded_String;
      end record;
   subtype Rango_Tabla is Integer range 1..Tamano_Tabla;
   type Tipo_Tabla is array(Rango_Tabla) of Registro;


   function Buscar_Documento (Tab: in Tipo_Tabla; Nom: in ASU.Unbounded_String) return Integer;

   procedure Insertar_Documento (Tab: in out Tipo_Tabla; Nom: in ASU.Unbounded_String; Doc: in ASU.Unbounded_String; Indice: in out Integer);

   procedure Recuperar_Documento (Tab: in Tipo_Tabla; Nom: in ASU.Unbounded_String; Doc: out ASU.Unbounded_String);

   procedure Recuperar_DocNum (Tab: in Tipo_Tabla; Nom: out ASU.Unbounded_String; Doc: out ASU.Unbounded_String; Num: in Natural);

   procedure Borrar_Documento (Tab: in out Tipo_Tabla; Nom: in ASU.Unbounded_String);

   procedure Visualizar_Tabla (Tab: in Tipo_Tabla; Ind: in Integer);

end paqtabla;
